
/* RESET RULES
–––––––––––––––––––––––––––––––––––––––––––––––––– */
:root {
  --black: #1a1a1a;
  --yellow: #F5E76E;
  --white: #fff;
  --gray: #444
}



img {
  display: block;
  max-width: 100%;
  height: auto;
}



.row-300{
  max-width: 150px;
  max-height: 150px;
  overflow: hidden;
}

.img-box{
  border-radius: 20px;
  border: 0px solid #FDEAA5;
}

.legalEntity {
  border-right: 1px solid var(--white);
  font-weight: bold;
}

@media only screen and (max-width: 767px){
  .legalEntity {
    border-bottom: 1px solid var(--white);
    border-right: 0px;
    font-weight: bold;
  }
}

.border-yellow
{
  border: 1px solid #FDEAA5;
}

.gray-box-center{
  padding: 30px;
  background-color: var(--gray);
  border-radius: 20px;
  text-align: center;
  height: 100%;
  display: flex;
  align-items: center
}

.gray-box-left{
  padding: 30px;
  background-color: var(--gray);
  border-radius: 20px;
  text-align: left;
  height: 100%;
}

.date-icon{
  display: flex;
  align-items: center;
}

.icon{
  display: block;
  width: 36px;
  height: 36px;
  margin-right: 20px;
}

.yellow-box{
  padding: 30px;
  background-color: var(--yellow);
  border-radius: 20px;
}

.black-box{
  padding: 30px;
  background-color: var(--black);
  border-radius: 20px;
}


.yellow-box ol li{
  color: var(--black);
}

.yellow-box ol {
  margin: 30px;
}

.yellow-box ol li::marker {
  color: var(--black);
  font-weight: bold;
}


.yellow-box b {
  color: var(--black);
}

.glass{
  margin:30 px;
  background-color: #444;
  border-radius: 8px;
  border: 1px solid var(--yellow);
}



ol {
  list-style: none;
}


a {
  text-decoration: none;
  color: var(--white);
}

a.text:active{
   color: var(--white);
}



.advertisement{
  /*border: 1px solid var(--yellow);*/
  padding: 10px;
  background-color: #333333;
  border-radius: 8px;
}


input[type="radio"] {
  position: absolute;
  left: -9999px;
}


/* FILTERS
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.filters {
  text-align: left;
  margin-bottom: 3rem;
}

.filters * {
  display: inline-block;
}

.filters label {
  padding: 0.5rem 1rem;
  margin-bottom: 0.25rem;
  border-radius: 2rem;
  border: solid 0.5px #fff;
  min-width: 50px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
}


.filters label:hover {
  background: var(--yellow);
  color: var(--black);
  border: solid 1px var(--yellow);
}


/* FILTERED ELEMENTS (POSTS)
–––––––––––––––––––––––––––––––––––––––––––––––––– */
.posts {
  display: grid;
  grid-gap: 1.5rem;
  grid-template-columns: repeat(2, 1fr);
}

.posts .post {
  background: #444;
  border-radius: 20px;
 /* border: 1px solid var(--yellow);*/
}

.posts .post-title {
  font-size: 1.3rem;
  color: var(--white);
}

.posts .post-title:hover {
  text-decoration: underline;
}

.posts figcaption {
  padding: 15px;
  
  
}

.posts li {
  margin-bottom: 0.2rem;
  List-style: none;
}

.posts .post-categories {
  /*margin-bottom: 10px;
  font-size: 0.75rem;*/
  margin-left: 15px;
}

.posts .post-categories * {
  display: inline-block;
}



.posts .post-categories a {
  padding: 0.2rem 0.5rem;
  border-radius: 1rem;
  border: 1px solid;
  line-height: normal;
  transition: all 0.1s;
}

.posts .post-categories a:hover {
  background: var(--yellow);
  color: var(--black);
}

  
  /* FILTERING RULES
  –––––––––––––––––––––––––––––––––––––––––––––––––– */
  [value="All"]:checked ~ .filters [for="All"],
  [value="Article"]:checked ~ .filters [for="Article"],
  [value="Case"]:checked ~ .filters [for="Case"],
  [value="News"]:checked ~ .filters [for="News"] {
    background: var(--yellow);
    color: var(--black);
    border: solid 1px var(--yellow);
  }
  
  [value="All"]:checked ~ .posts [data-category] {
    display: block;
  }
  
  [value="Article"]:checked ~ .posts .post:not([data-category~="Article"]),
  [value="Case"]:checked ~ .posts .post:not([data-category~="Case"]),
  [value="News"]:checked ~ .posts .post:not([data-category~="News"]) {
    display: none;
  }
  

  
  /* MQ
  –––––––––––––––––––––––––––––––––––––––––––––––––– */
  @media screen and (max-width: 900px) {
    .posts {
      grid-template-columns: repeat(1, 1fr);
    }
  }
  
  @media screen and (max-width: 650px) {
    html {
      font-size: 14px;
    }
  
    .posts {
      grid-template-columns: repeat(1, 1fr);
    }
  }


  @media only screen and (max-width: 767px){
    .legalEntity {
      border-bottom: 1px solid var(--white);
      border-right: 0px;
      font-weight: bold;
    }
  
    .yellow-box{
      padding: 10px;
    }

    .yellow-box ol{
      margin: 10px 30px;
    }

    .yellow-box li{
      font-size: 16px;
    }

    .gray-box-left{
      padding:  15px 20px;
    }
  }
    


    


    


